SSL_SESSION_GET0_PEER(3)

NAME
SSL_SESSION_get0_peer - get details about peer's certificate for a session

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
X509 *
SSL_SESSION_get0_peer(SSL_SESSION *s);

DESCRIPTION
SSL_SESSION_get0_peer() returns a pointer to the peer certificate associated with the session s or NULL if no peer certificate is available. The caller should not free the returned value, unless X509_up_ref(3) has also been called.

SEE ALSO
ssl(3), SSL_get_session(3), SSL_SESSION_new(3)

HISTORY
SSL_SESSION_get0_peer() first appeared in OpenSSL 1.0.1 and has been available since OpenBSD 5.3.